package de.avatic.lcc.dto.error;

import java.util.Objects;

public class ErrorResponseDTO {
    private ErrorDTO error;

    public ErrorResponseDTO() {
    }

    public ErrorResponseDTO(ErrorDTO error) {
        this.error = error;
    }

    public ErrorDTO getError() {
        return error;
    }

    public void setError(ErrorDTO error) {
        this.error = error;
    }

    @Override
    public String toString() {
        return "ErrorResponseDTO{" +
                "error=" + error +
                '}';
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ErrorResponseDTO that = (ErrorResponseDTO) o;
        return Objects.equals(error, that.error);
    }

    @Override
    public int hashCode() {
        return Objects.hash(error);
    }
}
